Index: platform_tools/chromeos/bin/chromeos_make |
diff --git a/platform_tools/chromeos/bin/chromeos_make b/platform_tools/chromeos/bin/chromeos_make |
index a1cb2ba6a3df8a75654b708280afdb37b4b7d458..cb58a9c08f9401a47830e6d49f7872cd0d2e4f4e 100755 |
--- a/platform_tools/chromeos/bin/chromeos_make |
+++ b/platform_tools/chromeos/bin/chromeos_make |
@@ -63,6 +63,12 @@ fi |
# thinks we're in a Chrome checkout. |
echo "Delete me!" > "${CHROMEOS_CHROOT}/.gclient" |
+# We may also need a .git directory. |
+GIT_DIR="${CHROMEOS_CHROOT}/src/third_party/chromite/.git" |
+if ! [[ -d "${GIT_DIR}" ]]; then |
+ mkdir -p ${GIT_DIR} |
+fi |
+ |
# Where the Skia code will pretend to live inside the chroot. |
SKIA_TOP_DIR="${SCRIPT_DIR}/../../.." |